## glueviz 0.4.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build -n
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext s3

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf api/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Glue.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Glue.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Glue"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Glue"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."
s3:
	aws s3 sync _build/html s3://www.glueviz.org/en/`git symbolic-ref -q --short HEAD`
	if [ `git symbolic-ref -q --short HEAD` == 'master' ]; then aws s3 sync _build/html s3://docs.glueviz.org/en/latest; fi

=== debian/changelog ===
glueviz (0.4.0-1ubuntu1) wily; urgency=medium

  * Drop hard-coded dependency on libzmql1, which isn't even the version of
    libzmq that python-zmq depends on.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Aug 2015 01:05:42 +0000

glueviz (0.4.0-1build1) wily; urgency=medium

  * No-change rebuild against libzmql1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 18:50:44 +0000

glueviz (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #762265)

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 27 Sep 2014 17:13:49 -0600

=== debian/control ===
Source: glueviz
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josueortega@debian.org.gt>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-setuptools(>= 5.5.1),
 python-all (>= 2.7.8),
 python-numpy (>= 1.8.2),
 python-matplotlib (>= 1.3.1),
 python-qt4 (>= 4.11.2),
 pyqt4-dev-tools (>= 4.11.2),
 python-h5py (>= 2.2.1),
 ipython-qtconsole (>= 2.3.0),
 ipython (>= 2.3.0),
 python-mock (>= 1.0.1)
Standards-Version: 3.9.6
Homepage: http://www.glueviz.org/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/glue.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/glue.git

Package: glueviz
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-numpy (>= 1.8.2),
 python-matplotlib (>= 1.3.1),
 python-qt4 (>= 4.11.2),
 python-pandas (>= 0.14.1),
 python-astropy (>= 0.4.2),
 python-zmq (>= 14.3.1),
 ipython (>= 2.3.0),
 ipython-qtconsole (>= 2.3.0),
 python-pygments (>= 1.6),
 python-skimage (>= 0.10.1),
 python-plotly (>= 1.2.9),
 python-pyavm (>= 0.9.1),
 python-dill (>= 0.2.1),
 python-h5py (>= 2.2.1),
Description: Linked data visualization
 Glue is a Python project to link visualizations of scientific datasets across
 many files. Some of its features are:
  -Interactive, linked statistical graphics of multiple files.
  -Support for many file formats including common image formats,
   ascii tables, astronomical image and table formats (fits, vot, ipac), and
   HDF5. Custom data loaders can also be easily added.
  -Highly scriptable and extendable.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/glue-$1\.tar\.gz/ \
  https://github.com/glue-viz/glue/releases .*/v(\d\S*)\.tar\.gz

## glueviz 0.5.2+dfsg

=== debian/changelog ===
glueviz (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/copyright.
    - Updated debia/pathes/*
    - dfsg version: Removed binary file doc/tutorial_files/extinction.fits
  * debian/control: Removed libzmq dependency (Closes: #795335).
  * debian/control: Added Conflicts section in order to avoid overwrite
    files from glue-sprite (Closes: #793931).

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 16 Aug 2015 12:45:50 +0200

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\.\d+$//filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/glue-$1\.tar\.gz/" \
  https://github.com/glue-viz/glue/releases .*/v(\d\S*)\.tar\.gz \
  debian debian/repack

## glueviz 0.5.3+dfsg

=== debian/changelog ===
glueviz (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: added dversionmangle missing comma.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 04 Oct 2015 21:58:08 -0600

## glueviz 0.6.0+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -152,6 +152,9 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
 s3:
-	aws s3 sync _build/html s3://www.glueviz.org/en/`git symbolic-ref -q --short HEAD`
-	if [ `git symbolic-ref -q --short HEAD` == 'master' ]; then aws s3 sync _build/html s3://docs.glueviz.org/en/latest; fi
+	aws s3 sync _build/html s3://www.glueviz.org/en/$(TRAVIS_BRANCH) --delete
+
+s3latest:
+	aws s3 sync _build/html s3://www.glueviz.org/en/latest --delete

=== debian/changelog ===
glueviz (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/patches/*
  * debian/copyright:
    - Removed wildcard for continuous-integration/appveyor/install-miniconda.ps1
    - Removed wildcard for continuous-integration/appveyor/windows_sdk.cmd.
    - Removed public-domain paragraph.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 28 Nov 2015 22:16:27 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glueviz
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josueortega@debian.org.gt>
 Build-Depends: debhelper (>= 9),
  dh-python,
@@ -37,7 +36,8 @@
  python-plotly (>= 1.2.9),
  python-pyavm (>= 0.9.1),
  python-dill (>= 0.2.1),
- python-h5py (>= 2.2.1),
+ python-h5py (>= 2.2.1)
+Conflicts: glue-sprite
 Description: Linked data visualization
  Glue is a Python project to link visualizations of scientific datasets across
  many files. Some of its features are:

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export PYBUILD_NAME=glueviz

%:
	dh $@ --with python2 --buildsystem=pybuild \
	--install-data=/usr/share/glueviz/

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_auto_test:
#Upstream test is broken

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/glue-$1\.tar\.gz/ \
  https://github.com/glue-viz/glue/tags .*/v(\d\S*)\.tar\.gz \
  debian debian/repack

## glueviz 0.7.2+dfsg1

=== debian/changelog ===
glueviz (0.7.2+dfsg1-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/repack.
    - Updated glueviz python3-glue dependency to exact version 0.7.2+dsfg1-1.
  * debian/glue: bumps entrypoint version.

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 10 Apr 2016 11:15:27 -0600

glueviz (0.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/glue: bumps entrypoint version.

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 02 Apr 2016 19:07:55 -0600

glueviz (0.7.0+dfsg1-2) unstable; urgency=medium

  * debian/glue: Bumps entry point version.
  * debian/patches/00-generates-binary-python3-only.patch: Adds GUI
    entry point.
  * debian/control: Updated glueviz package python3-glue dependency
  * debian/rules: Added override_dh_install to remove unnecesary executable file
  * debian/patches/00-installs 00-installs-state-path-patches.patch

 -- Josue Ortega <josueortega@debian.org.gt>  Sat, 26 Mar 2016 15:02:43 -0600

glueviz (0.7.0+dfsg1-1) unstable; urgency=medium

  [ Josue Ortega ]
  * New upstream release:
    - Updated debian/patches/*.
    - Updated debian/repack.
  * Added python-glue and python3-glue packages:
    - Added debian/patches/00-generates-binary-python3-only.patch.
    - Added python3-glue as glueviz dependency.
    - Added glueviz.docs.
    - Added glueviz.install.
    - Added debian/glue executable.
  * debian/copyright: Updated copyright years.
  * debian/control:
    - Bumped Standards-version to 3.9.7, no changes needed.
    - Changed Vcs-* fields to secure uris.
  * debian/glueviz.install adds installation of:
    - glueviz.desktop file.
    - glueviz.png to usr/share/pixmaps.
    - Icon files (*.svg , *.png) now are installed with the application package.
  * Added patch to include Keywords in glueviz.desktop file.

  [ Ole Streicher ]
  * Added debian/upstream/metadata file.

 -- Josue Ortega <josueortega@debian.org.gt>  Thu, 24 Mar 2016 18:19:24 -0600

=== debian/control ===
Source: glueviz
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josueortega@debian.org.gt>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-setuptools (>= 5.5.1),
 python-all (>= 2.7.8),
 python-numpy (>= 1.8.2),
 python-matplotlib (>= 1.3.1),
 python-h5py (>= 2.2.1),
 ipython (>= 2.3.0),
 python-mock (>= 1.0.1),
 python3-setuptools (>= 5.5.1),
 python3-all (>= 2.7.8),
 python3-numpy (>= 1.8.2),
 python3-matplotlib (>= 1.3.1),
 python3-pyqt4 (>= 4.11.2),
 pyqt4-dev-tools (>= 4.11.2),
 python3-h5py (>= 2.2.1),
 ipython3-qtconsole (>= 2.3.0),
 ipython3 (>= 2.3.0),
 python3-mock (>= 1.0.1)
Standards-Version: 3.9.7
Homepage: http://www.glueviz.org/
Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git

Package: python-glue
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-numpy (>= 1.8.2),
 python-matplotlib (>= 1.3.1),
 python-pandas (>= 0.14.1),
 python-astropy (>= 0.4.2),
 python-zmq (>= 14.3.1),
 python-pygments (>= 1.6),
 python-skimage (>= 0.10.1),
 python-plotly (>= 1.2.9),
 python-pyavm (>= 0.9.1),
 python-dill (>= 0.2.1),
 python-h5py (>= 2.2.1)
Conflicts: glue-sprite
Description: Python 2 library for data interaction
 python-glue is a Python library for data interaction, it blurs the boundary
 between GUI-centric and code-centric data exploration.
 There are many ways to leverage Glue from Python. Among other things, you can
 write code to do the following:
 .
  * Send data in the form of NumPy arrays or Pandas DataFrames to Glue for
    exploration.
  * Write startup scripts that automatically load and clean data,
    before starting Glue.
  * Write custom functions to parse files, and plug these functions into the
    Glue GUI.
  * Write custom functions to link datasets, and plug these into the Glue GUI.
  * Create your own visualization modules.

Package: python3-glue
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends},
 python3-numpy (>= 1.8.2),
 python3-matplotlib (>= 1.3.1),
 python3-pandas (>= 0.14.1),
 python3-astropy (>= 0.4.2),
 python3-zmq (>= 14.3.1),
 python3-pygments (>= 1.6),
 python3-skimage (>= 0.10.1),
 python3-plotly (>= 1.2.9),
 python3-pyavm (>= 0.9.1),
 python3-dill (>= 0.2.1),
 python3-h5py (>= 2.2.1)
Conflicts: glue-sprite
Description: Python 3 library for data interaction
 python3-glue is a Python library for data interaction, it blurs the boundary
 between GUI-centric and code-centric data exploration.
 There are many ways to leverage Glue from Python. Among other things, you can
 write code to do the following:
 .
  * Send data in the form of NumPy arrays or Pandas DataFrames to Glue for
    exploration.
  * Write startup scripts that automatically load and clean data,
    before starting Glue.
  * Write custom functions to parse files, and plug these functions into the
    Glue GUI.
  * Write custom functions to link datasets, and plug these into the Glue GUI.
  * Create your own visualization modules.

Package: glueviz
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-glue (= 0.7.2+dfsg1-1),
 python3-pyqt4 (>= 4.11.2),
 python3-pandas (>= 0.14.1),
 ipython3 (>= 2.3.0),
 ipython3-qtconsole (>= 2.3.0)
Conflicts: glue-sprite
Description: Linked data visualization
 Glue is a Python project to link visualizations of scientific datasets across
 many files. Some of its features are:
 .
  * Interactive, linked statistical graphics of multiple files.
  * Support for many file formats including common image formats,
    ascii tables, astronomical image and table formats (fits, vot, ipac), and
    HDF5. Custom data loaders can also be easily added.
  * Highly scriptable and extendable.

## glueviz 0.7.3+dfsg1

=== debian/changelog ===
glueviz (0.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream release:
    - Updated debian/patches/00-installs-state-path-patches.patch.
    - debian/glue: bumps entrypoint version.
    - debian/control: Updated glueviz python3-glue dependency to exact
      version 0.7.3+dsfg1-1.
  * debian/control: Bumps Standards-version to 3.9.7, no changes needed.
  * Added upstream signing-key.asc file.

 -- Josue Ortega <josueortega@debian.org.gt>  Thu, 12 May 2016 21:12:02 -0600

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  ipython3-qtconsole (>= 2.3.0),
  ipython3 (>= 2.3.0),
  python3-mock (>= 1.0.1)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git
@@ -92,7 +92,7 @@
 Package: glueviz
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-glue (= 0.7.2+dfsg1-1),
+ python3-glue (= 0.7.3+dfsg1-1),
  python3-pyqt4 (>= 4.11.2),
  python3-pandas (>= 0.14.1),
  ipython3 (>= 2.3.0),

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/glue-$1\.tar\.gz/ \
  https://github.com/glue-viz/glue/tags .*/v(\d\S*)\.tar\.gz \
  debian debian/repack

## glueviz 0.8.0+dfsg1

=== debian/changelog ===
glueviz (0.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream release:
    - debian/glue: bumps entrypoint version.
    - debian/control: Updated glueviz python3-glue dependency to exact
      version 0.8.0+dsfg1-1.

 -- Josue Ortega <josueortega@debian.org.gt>  Tue, 24 May 2016 22:04:48 -0600

=== debian/control ===
--- 
+++ 
@@ -92,7 +92,7 @@
 Package: glueviz
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-glue (= 0.7.3+dfsg1-1),
+ python3-glue (= 0.8.0+dfsg1-1),
  python3-pyqt4 (>= 4.11.2),
  python3-pandas (>= 0.14.1),
  ipython3 (>= 2.3.0),

## glueviz 0.9.0+dfsg

=== debian/changelog ===
glueviz (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Refresh debian/patches.
    - debian/glue: bumps entrypoint version.
    - debian/control: Updated glueviz python3-glue dependency to exact
      version 0.9.0+dsfg1-1.

 -- Josue Ortega <josue@debian.org>  Sun, 23 Oct 2016 12:35:15 -0600

glueviz (0.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release:
    - debian/glue: bumps entrypoint version.
    - debian/control: Updated glueviz python3-glue dependency to exact
      version 0.8.0+dsfg1-1.
    - debian/glueviz.install: Removes glueviz.png and glue/icons/*.svg entry.
  * debian/control: Updateds Uploaders email.
  * Changes debian/watch file to use Pypi instead of Github since upstream
    is not using Github to publish releases anymore:
    - Removes debian/upstream/signing-key.asc.

 -- Josue Ortega <josue@debian.org>  Sun, 04 Sep 2016 18:00:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Josue Ortega <josueortega@debian.org.gt>
+Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-setuptools (>= 5.5.1),
@@ -92,7 +92,7 @@
 Package: glueviz
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-glue (= 0.8.0+dfsg1-1),
+ python3-glue (= 0.9.0+dfsg-1),
  python3-pyqt4 (>= 4.11.2),
  python3-pandas (>= 0.14.1),
  ipython3 (>= 2.3.0),

## glueviz 0.9.1+dfsg

=== debian/changelog ===
glueviz (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release 0.9.1 (Closes: #840986):
    - Refresh debian/patches.
    - debian/glue: bumps entrypoint version.
    - debian/control: Updated glueviz python3-glue dependency to exact
      version 0.9.1+dsfg-1.
  * debian/glue: Enforces use of PyQT4 even if PyQT5 is installed
    (Closes: #841896).
  * debian/control:
    - Updates dependency on ipython-qtconsole to new package name
      python-qtconsole.
    - Bumps ipython version number to 5.1.0.

 -- Josue Ortega <josue@debian.org>  Sun, 06 Nov 2016 18:24:34 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-numpy (>= 1.8.2),
  python-matplotlib (>= 1.3.1),
  python-h5py (>= 2.2.1),
- ipython (>= 2.3.0),
+ ipython (>= 5.1.0),
  python-mock (>= 1.0.1),
  python3-setuptools (>= 5.5.1),
  python3-all (>= 2.7.8),
@@ -19,8 +19,7 @@
  python3-pyqt4 (>= 4.11.2),
  pyqt4-dev-tools (>= 4.11.2),
  python3-h5py (>= 2.2.1),
- ipython3-qtconsole (>= 2.3.0),
- ipython3 (>= 2.3.0),
+ python3-qtconsole (>= 4.2.0),
  python3-mock (>= 1.0.1)
 Standards-Version: 3.9.8
 Homepage: http://www.glueviz.org/
@@ -92,11 +91,11 @@
 Package: glueviz
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-glue (= 0.9.0+dfsg-1),
+ python3-glue (= 0.9.1+dfsg-1),
  python3-pyqt4 (>= 4.11.2),
  python3-pandas (>= 0.14.1),
- ipython3 (>= 2.3.0),
- ipython3-qtconsole (>= 2.3.0)
+ ipython3 (>= 5.1.0),
+ python3-qtconsole (>= 4.2.0)
 Conflicts: glue-sprite
 Description: Linked data visualization
  Glue is a Python project to link visualizations of scientific datasets across

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export PYBUILD_NAME=glue

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
#Removes unnecesary executable from python3 module
	rm -rf debian/python3-glue/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_auto_test:
#Upstream test is broken

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.debian.net/glueviz/glueviz-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian debian/repack

## glueviz 0.13.3+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -152,9 +152,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
-
-s3:
-	aws s3 sync _build/html s3://www.glueviz.org/en/$(TRAVIS_BRANCH) --delete
-
-s3latest:
-	aws s3 sync _build/html s3://www.glueviz.org/en/latest --delete

=== debian/changelog ===
glueviz (0.13.3+dfsg-1) unstable; urgency=medium

  * New upstream release (0.13.3):
    - Refresh debian/patches.
    - Updates debian/repack.
    - debian/glue: bumps entrypoint version.
    - Renames README.md -> README.rst in debian/*.docs.
    - Updates Build-Depends and Depends for all packages.
  * debian/copyright: Removes unused paragraphs for glue/external/qt.py
    and glue/external/wcsaxes/*.
  * Bumps compat level from 9 to 11.
  * Bumps Standards-Version from 3.9.8 to 4.1.4:
    - debian/copyright: Format field updated to use its https form.
  * debian/control:
    - Changes dependency relationship version on python3-glue on
      glueviz package to use  (= ${binary:Version}).
    - Updates VCS fields to use salsa.debian.org.
  * debian/glue:
    - Bumps version of QT version to use.
    - Bumps glueviz version to 0.13.3.
  * debian/watch: Updates URI to use glue-core instead glueviz, since
    glueviz has changed to be just a metapackage.

 -- Josue Ortega <josue@debian.org>  Sun, 24 Jun 2018 16:24:33 -0600

=== debian/control ===
--- 
+++ 
@@ -3,44 +3,53 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  dh-python,
  python-setuptools (>= 5.5.1),
  python-all (>= 2.7.8),
- python-numpy (>= 1.8.2),
- python-matplotlib (>= 1.3.1),
+ python-numpy (>= 1.9),
+ python-matplotlib (>= 2.0),
  python-h5py (>= 2.2.1),
+ python-qtpy,
+ python-ipykernel,
  ipython (>= 5.1.0),
  python-mock (>= 1.0.1),
+ python-bottleneck,
  python3-setuptools (>= 5.5.1),
  python3-all (>= 2.7.8),
- python3-numpy (>= 1.8.2),
- python3-matplotlib (>= 1.3.1),
- python3-pyqt4 (>= 4.11.2),
- pyqt4-dev-tools (>= 4.11.2),
+ python3-numpy (>= 1.9),
+ python3-matplotlib (>= 2.0),
+ python3-pyqt5 (>= 4.11.2),
+ pyqt5-dev-tools (>= 4.11.2),
  python3-h5py (>= 2.2.1),
  python3-qtconsole (>= 4.2.0),
- python3-mock (>= 1.0.1)
-Standards-Version: 3.9.8
+ python3-qtpy,
+ python3-mock (>= 1.0.1),
+ python3-ipykernel,
+ python3-bottleneck
+Standards-Version: 4.1.4
 Homepage: http://www.glueviz.org/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/glue.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
 
 Package: python-glue
 Architecture: all
 Section: python
 Depends: ${python:Depends}, ${misc:Depends},
- python-numpy (>= 1.8.2),
- python-matplotlib (>= 1.3.1),
+ python-numpy (>= 1.9),
+ python-matplotlib (>= 2.0),
  python-pandas (>= 0.14.1),
- python-astropy (>= 0.4.2),
+ python-astropy (>= 1.3),
  python-zmq (>= 14.3.1),
  python-pygments (>= 1.6),
  python-skimage (>= 0.10.1),
  python-plotly (>= 1.2.9),
  python-pyavm (>= 0.9.1),
  python-dill (>= 0.2.1),
- python-h5py (>= 2.2.1)
+ python-h5py (>= 2.2.1),
+ python-xlrd (>= 1.0),
+ python-ipykernel,
+ python-bottleneck
 Conflicts: glue-sprite
 Description: Python 2 library for data interaction
  python-glue is a Python library for data interaction, it blurs the boundary
@@ -61,17 +70,20 @@
 Architecture: all
 Section: python
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-numpy (>= 1.8.2),
- python3-matplotlib (>= 1.3.1),
+ python3-numpy (>= 1.9),
+ python3-matplotlib (>= 2.0),
  python3-pandas (>= 0.14.1),
- python3-astropy (>= 0.4.2),
+ python3-astropy (>= 1.3),
  python3-zmq (>= 14.3.1),
  python3-pygments (>= 1.6),
  python3-skimage (>= 0.10.1),
  python3-plotly (>= 1.2.9),
  python3-pyavm (>= 0.9.1),
  python3-dill (>= 0.2.1),
- python3-h5py (>= 2.2.1)
+ python3-h5py (>= 2.2.1),
+ python3-xlrd (>= 1.0),
+ python3-ipykernel,
+ python3-bottleneck
 Conflicts: glue-sprite
 Description: Python 3 library for data interaction
  python3-glue is a Python library for data interaction, it blurs the boundary
@@ -91,11 +103,14 @@
 Package: glueviz
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-glue (= 0.9.1+dfsg-1),
- python3-pyqt4 (>= 4.11.2),
+ python3-glue (= ${binary:Version}),
+ python3-pyqt5 (>= 4.11.2),
  python3-pandas (>= 0.14.1),
+ python3-qtpy,
  ipython3 (>= 5.1.0),
- python3-qtconsole (>= 4.2.0)
+ python3-qtconsole (>= 4.2.0),
+ python3-mpl-scatter-density
+Recommends: python3-spectral-cube, python-astrodendro
 Conflicts: glue-sprite
 Description: Linked data visualization
  Glue is a Python project to link visualizations of scientific datasets across

## glueviz 0.14.1+dfsg

=== debian/changelog ===
glueviz (0.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release (0.14.1+dfsg-1):
    - Refresh debian/patches.
    - debian/glue: bumps entrypoint version.
  * Remove Python 2 Package (Closes: #916525):
    - debian/patches: Remove 00-generates-binary-python3-only.patch.
    - debian/rules: Remove python2 build option.
    - debian/control: Remove python-glue package.
  * Bump Standards-Version to 4.3.0, no changes were required.
  * Add CI tests.
  * Add patch to avoid of PNG files under /usr/lib/python.

 -- Josue Ortega <josue@debian.org>  Wed, 26 Dec 2018 13:19:11 -0600

=== debian/control ===
--- 
+++ 
@@ -27,44 +27,10 @@
  python3-mock (>= 1.0.1),
  python3-ipykernel,
  python3-bottleneck
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
-
-Package: python-glue
-Architecture: all
-Section: python
-Depends: ${python:Depends}, ${misc:Depends},
- python-numpy (>= 1.9),
- python-matplotlib (>= 2.0),
- python-pandas (>= 0.14.1),
- python-astropy (>= 1.3),
- python-zmq (>= 14.3.1),
- python-pygments (>= 1.6),
- python-skimage (>= 0.10.1),
- python-plotly (>= 1.2.9),
- python-pyavm (>= 0.9.1),
- python-dill (>= 0.2.1),
- python-h5py (>= 2.2.1),
- python-xlrd (>= 1.0),
- python-ipykernel,
- python-bottleneck
-Conflicts: glue-sprite
-Description: Python 2 library for data interaction
- python-glue is a Python library for data interaction, it blurs the boundary
- between GUI-centric and code-centric data exploration.
- There are many ways to leverage Glue from Python. Among other things, you can
- write code to do the following:
- .
-  * Send data in the form of NumPy arrays or Pandas DataFrames to Glue for
-    exploration.
-  * Write startup scripts that automatically load and clean data,
-    before starting Glue.
-  * Write custom functions to parse files, and plug these functions into the
-    Glue GUI.
-  * Write custom functions to link datasets, and plug these into the Glue GUI.
-  * Create your own visualization modules.
 
 Package: python3-glue
 Architecture: all

=== debian/tests/control ===
Test-Command: python3 -c "import glue"

## glueviz 0.15.5+dfsg

=== debian/changelog ===
glueviz (0.15.5+dfsg-1) unstable; urgency=medium

  * New upstream release (0.15.5)
    - Refresh debian/patches.
    - Add python3-setuptools-scm as build dependency.
  * Remove python2 package dependencies.
  * debian/clean added the following files to be cleaned up:
    - glue/external/pvextractor/LICENSE
    - glue/data_factories/tests/data/ssc2006-16a1_Ti.jpg
  * Bump Standards-Version to 4.4.0. No changes required
  * Update debhelper to use debhelper-compat (= 12)

 -- Josue Ortega <josue@debian.org>  Thu, 25 Jul 2019 12:12:02 -0300

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,8 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
- python-setuptools (>= 5.5.1),
- python-all (>= 2.7.8),
- python-numpy (>= 1.9),
- python-matplotlib (>= 2.0),
- python-h5py (>= 2.2.1),
- python-qtpy,
- python-ipykernel,
- ipython (>= 5.1.0),
- python-mock (>= 1.0.1),
- python-bottleneck,
  python3-setuptools (>= 5.5.1),
  python3-all (>= 2.7.8),
  python3-numpy (>= 1.9),
@@ -26,8 +16,9 @@
  python3-qtpy,
  python3-mock (>= 1.0.1),
  python3-ipykernel,
- python3-bottleneck
-Standards-Version: 4.3.0
+ python3-bottleneck,
+ python3-setuptools-scm
+Standards-Version: 4.4.0
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
@@ -76,7 +67,7 @@
  ipython3 (>= 5.1.0),
  python3-qtconsole (>= 4.2.0),
  python3-mpl-scatter-density
-Recommends: python3-spectral-cube, python-astrodendro
+Recommends: python3-spectral-cube, python3-astrodendro
 Conflicts: glue-sprite
 Description: Linked data visualization
  Glue is a Python project to link visualizations of scientific datasets across

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=glue
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://pypi.debian.net/glue-core/glue-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian debian/repack

## glueviz 0.15.6+dfsg

=== debian/changelog ===
glueviz (0.15.6+dfsg-2) unstable; urgency=medium

  * Add 00-import-sip.patch in order to fix sip import. Closes: #966032
  * Bump debhelper-compat to (= 13)

 -- Josue Ortega <josue@debian.org>  Sun, 16 Aug 2020 16:08:35 -0600

glueviz (0.15.6+dfsg-1) unstable; urgency=medium

  * Add debian/salsa-ci configuration file
  * New upstream release (0.15.6)
  * debian/control: Add Rules-Requires-Root field
  * Bump Standards-Version to 4.5.0. No changes were required
  * Update glue executable entry point

 -- Josue Ortega <josue@debian.org>  Sun, 22 Mar 2020 19:34:16 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-setuptools (>= 5.5.1),
  python3-all (>= 2.7.8),
@@ -18,10 +18,11 @@
  python3-ipykernel,
  python3-bottleneck,
  python3-setuptools-scm
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
+Rules-Requires-Root: no
 
 Package: python3-glue
 Architecture: all

## glueviz 1.0.0+dfsg

=== debian/changelog ===
glueviz (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.0.0)
    + Refresh debian/patches
    + Bump debian/glue version
  * Update files to be removed in debian/repack
  * Remove debian/patches/00-import-sip.patch, since PyQt5.sip is no
    longer required
  * debian/copyright: Remove six.py unused paragraph
  * Update autopkgtest to not be superficial. Closes: #970952
  * debian/control:
    - Update package dependencies
    - Add python-echo as dependency
    - Update package dependency on python3-mpl-scatter-density to
      require version (>= 0.7)
  * debian/glue: Update entry point version
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/watch: Bump version to 4
  * Move installation of state_path_patches.txt from glueviz to python3-glue
    /usr/share directory

 -- Josue Ortega <josue@debian.org>  Wed, 02 Dec 2020 07:43:24 -0600

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
- python3-setuptools (>= 5.5.1),
+ python3-setuptools (>= 30.3.0),
  python3-all (>= 2.7.8),
- python3-numpy (>= 1.9),
- python3-matplotlib (>= 2.0),
- python3-pyqt5 (>= 4.11.2),
+ python3-numpy (>= 1.16),
+ python3-matplotlib (>= 3.2),
+ python3-pyqt5 (>= 5.9),
  pyqt5-dev-tools (>= 4.11.2),
- python3-h5py (>= 2.2.1),
+ python3-h5py (>= 2.10),
  python3-qtconsole (>= 4.2.0),
  python3-qtpy,
  python3-mock (>= 1.0.1),
  python3-ipykernel,
  python3-bottleneck,
  python3-setuptools-scm
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
@@ -28,20 +28,21 @@
 Architecture: all
 Section: python
 Depends: ${python3:Depends}, ${misc:Depends},
- python3-numpy (>= 1.9),
- python3-matplotlib (>= 2.0),
- python3-pandas (>= 0.14.1),
- python3-astropy (>= 1.3),
- python3-zmq (>= 14.3.1),
+ python3-numpy (>= 1.16),
+ python3-matplotlib (>= 3.2),
+ python3-pandas (>= 1.0),
+ python3-astropy (>= 4.0),
+ python3-scipy (>= 1.0),
  python3-pygments (>= 1.6),
  python3-skimage (>= 0.10.1),
  python3-plotly (>= 1.2.9),
  python3-pyavm (>= 0.9.1),
  python3-dill (>= 0.2.1),
- python3-h5py (>= 2.2.1),
- python3-xlrd (>= 1.0),
+ python3-h5py (>= 2.10),
+ python3-xlrd (>= 1.2),
  python3-ipykernel,
- python3-bottleneck
+ python3-bottleneck,
+ python3-echo,
 Conflicts: glue-sprite
 Description: Python 3 library for data interaction
  python3-glue is a Python library for data interaction, it blurs the boundary
@@ -62,12 +63,12 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
  python3-glue (= ${binary:Version}),
- python3-pyqt5 (>= 4.11.2),
- python3-pandas (>= 0.14.1),
+ python3-pyqt5 (>= 5.9),
+ python3-pandas (>= 1.0),
  python3-qtpy,
  ipython3 (>= 5.1.0),
- python3-qtconsole (>= 4.2.0),
- python3-mpl-scatter-density
+ python3-qtconsole (>= 4.3.0),
+ python3-mpl-scatter-density (>= 0.7)
 Recommends: python3-spectral-cube, python3-astrodendro
 Conflicts: glue-sprite
 Description: Linked data visualization

## glueviz 1.0.1+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  spelling   to check the spelling in the documentation"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
@@ -152,3 +153,8 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+spelling:
+	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spellingDatatime
+
+	@echo "Spell check complete; look for any errors in the above output."

=== debian/changelog ===
glueviz (1.0.1+dfsg-2) unstable; urgency=medium

  * Drop obsolete dependency on jupyter_client (Closes: #999703)
  * Bump Standards-Version to 4.6.0. No changes required.
  * debian/copyright: Update copyright holder email and year for
    debian/*.
  * debian/glue: Bump dependency on glue core for load entrypoint.

 -- Josue Ortega <josue@debian.org>  Wed, 08 Dec 2021 22:01:09 -0600

glueviz (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (1.0.1)
  * debian/control: Add jupyter-client as package dependency
  * Refresh debian/patches

 -- Josue Ortega <josue@debian.org>  Mon, 18 Jan 2021 19:22:18 -0600

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-ipykernel,
  python3-bottleneck,
  python3-setuptools-scm
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://www.glueviz.org/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue

=== debian/tests/control ===
Tests: coords
Depends: python3-echo, python3-glue, python3-numpy

## glueviz 1.17.1+dfsg

=== debian/changelog ===
glueviz (1.17.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Refresh patches and provide desktop file in debian/ dir

 -- Andreas Tille <tille@debian.org>  Thu, 08 Feb 2024 14:09:40 +0100

glueviz (1.0.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move non-free file exclusion to d/copyright
  * Switch patches to gbp style
  * Pass `int` argument to `QProgressBar.setValue` (Closes: #1053563)
  * Push Standards-Version to 4.6.2. No changes needed
  * Remove outdated versionized dependencies

 -- Ole Streicher <olebole@debian.org>  Sat, 14 Oct 2023 18:49:55 +0200

=== debian/control ===
Source: glueviz
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-numpy,
               python3-matplotlib,
               python3-pyqt5,
               pyqt5-dev-tools,
               python3-h5py,
               python3-qtconsole,
               python3-qtpy,
               python3-mock,
               python3-ipykernel,
               python3-bottleneck,
               python3-setuptools-scm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
Homepage: https://www.glueviz.org/
Rules-Requires-Root: no

Package: python3-glue
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-matplotlib,
         python3-pandas,
         python3-astropy,
         python3-scipy,
         python3-pygments,
         python3-skimage,
         python3-plotly,
         python3-pyavm,
         python3-dill,
         python3-h5py,
         python3-xlrd,
         python3-ipykernel,
         python3-bottleneck,
         python3-echo
Conflicts: glue-sprite
Description: Python 3 library for data interaction
 python3-glue is a Python library for data interaction, it blurs the boundary
 between GUI-centric and code-centric data exploration.
 There are many ways to leverage Glue from Python. Among other things, you can
 write code to do the following:
 .
  * Send data in the form of NumPy arrays or Pandas DataFrames to Glue for
    exploration.
  * Write startup scripts that automatically load and clean data,
    before starting Glue.
  * Write custom functions to parse files, and plug these functions into the
    Glue GUI.
  * Write custom functions to link datasets, and plug these into the Glue GUI.
  * Create your own visualization modules.

Package: glueviz
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-glue (= ${binary:Version}),
         python3-pyqt5,
         python3-pandas,
         python3-qtpy,
         ipython3,
         python3-qtconsole,
         python3-mpl-scatter-density
Recommends: python3-spectral-cube,
            python3-astrodendro
Conflicts: glue-sprite
Description: Linked data visualization
 Glue is a Python project to link visualizations of scientific datasets across
 many files. Some of its features are:
 .
  * Interactive, linked statistical graphics of multiple files.
  * Support for many file formats including common image formats,
    ascii tables, astronomical image and table formats (fits, vot, ipac), and
    HDF5. Custom data loaders can also be easily added.
  * Highly scriptable and extendable.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=glue
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg" \
  https://pypi.debian.net/glue-core/glue-core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glueviz 1.22.0+ds

=== debian/changelog ===
glueviz (1.22.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Stuart Prescott ]
  * Fix name in d/watch for new pypi download scheme

  [ Ole Streicher ]
  * Re-add xlsx and fits files required for tests
  * New upstream version 1.22.0+ds
  * Rediff patches
  * Remove glueviz package. This is intentional, as the glueviz package
    is now in a separate source. The ITP is #1099324.
  * Push Standards-Version to 4.7.2. No changes needed
  * Update build and install dependencies
  * Re-enable build time tests
  * Drop patches that are no longer needed
  * Skip tests that require installes glue plugins
  * Run complete test in CI
  * Fix int dtype test
  * Fix regexp for command parser

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Mar 2025 21:04:37 +0100

glueviz (1.17.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock (Closes: #1069885)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jul 2024 22:03:09 +0200

=== debian/control ===
Source: glueviz
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-astropy <!nocheck>,
               python3-dill <!nocheck>,
               python3-echo <!nocheck>,
               python3-fast-histogram <!nocheck>,
               python3-ipython <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-mpl-scatter-density <!nocheck>,
               python3-numpy <!nocheck>,
               python3-openpyxl <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools-scm,
               python3-shapely <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/glue
Vcs-Git: https://salsa.debian.org/debian-astro-team/glue.git
Homepage: https://www.glueviz.org/
Rules-Requires-Root: no

Package: python3-glue
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Conflicts: glue-sprite
Description: Python 3 library for data interaction
 python3-glue is a Python library for data interaction, it blurs the boundary
 between GUI-centric and code-centric data exploration.
 There are many ways to leverage Glue from Python. Among other things, you can
 write code to do the following:
 .
  * Send data in the form of NumPy arrays or Pandas DataFrames to Glue for
    exploration.
  * Write startup scripts that automatically load and clean data,
    before starting Glue.
  * Write custom functions to parse files, and plug these functions into the
    Glue GUI.
  * Write custom functions to link datasets, and plug these into the Glue GUI.
  * Create your own visualization modules.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs glue
Depends: python3-glue, 
  python3-astropy,
  python3-dill,
  python3-echo,
  python3-fast-histogram,
  python3-ipython,
  python3-matplotlib,
  python3-mpl-scatter-density,
  python3-numpy,
  python3-openpyxl,
  python3-pandas,
  python3-pytest,
  python3-scipy,
  python3-shapely

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+ds" \
  https://pypi.debian.net/glue-core/glue_core-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
